Name: isapnptools
Version: 1.26
Release: alt3

Summary: Utilities for configuring ISA Plug-and-Play (PnP) devices
License: GPL
Group: System/Configuration/Hardware
Url: ftp://ftp.demon.co.uk/pub/unix/linux/utils
ExclusiveArch: %ix86 alpha

Source: %url/%name-%version.tar.bz2
Patch: %name-mdk-demo2.patch

# Automatically added by buildreq on Tue Jul 01 2003
BuildRequires: flex

%package devel
Summary: Devel libraries for configuring ISA Plug-and-Play (PnP) devices
Group: Development/C
Requires: %name = %version-%release

%description
The %name package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or %name, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So %name is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use %name.

Install %name if you need utilities for configuring ISA PnP
cards.

%description devel
This package contains development libraries and include headers for %name.

%prep
%setup -q
%patch -p1

%build
%configure
%make_build

# Comment out everything.
%__subst "s/^\([^#]\)/#\1/" etc/isapnp.gone
%ifarch alpha
# Uncomment something.
%__subst 's/#IRQ 7/IRQ 7/' etc/isapnp.gone
%endif

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sysconfdir,%_mandir/man{5,8}}
%makeinstall
%__install -p -m644 etc/isapnp.gone $RPM_BUILD_ROOT%_sysconfdir/
%__rm -rf $RPM_BUILD_ROOT/sbin
%__mv $RPM_BUILD_ROOT%_sbindir $RPM_BUILD_ROOT/sbin

%files
%config(noreplace,missingok) %_sysconfdir/isapnp.gone
/sbin/*
%_mandir/man?/*
%doc AUTHORS NEWS README doc/README.[a-z]* etc/isapnp.conf config-scripts/*

%files devel
%_libdir/*.*a
%_includedir/*

%changelog
* Tue Jul 01 2003 Dmitry V. Levin <ldv@altlinux.org> 1.26-alt3
- Updated buildrequires.

* Fri Oct 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1.26-alt2
- Added Url.
- Fixed etc/isapnp.gone (commented out everything).

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.26-alt1
- 1.26

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.24-ipl2mdk
- RE adaptions.

* Fri Jan 12 2001 Francis Galiegue <fg@mandrakesoft.com> 1.24-2mdk
- File list fixes
- Fix typo in description

* Mon Jan 08 2001 Geoff <snailtalk@mandrakesoft.com> 1.24-1mdk
- new and shiny source.
- fix the patches so they apply as patchlevel 1.
- use of %%configure.

* Tue Jul 25 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.22-2mdk
-Updated %files section.

* Fri Jun 23 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.22-1mdk
- 1.22
- pnpdump_main.c compilation fix.
- demo2 compilation fix.
- headers in /usr/include/isapnp now.

* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.21-4mdk
- Add missing x86 archs
- Use %%_tmppath for BuildRoot

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.21-3mdk
- adjust group cleanup man pages (pixel ;-))

* Wed Jan 26 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Patch 1.21b

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.21
- Removed obsolete patch.
- Patch 1.21a

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added some others headers files.
- Added README.lib

* Mon Dec 06 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added pnp-access.h

* Mon Dec 6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add devel package.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.20.

* Tue Nov 2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove %post.
- Merge with rh patchs.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.19.

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove my patch and add the official patch.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to don't make Check by default.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Feb 16 1999 Bill Nottingham <notting@redhat.com>
- update to version 1.18

* Wed Nov 11 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.17

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- add /etc/isapnp.gone
- default to not using IRQ 7 on alpha

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.16

* Mon Oct  5 1998 Bill Nottingham <notting@redhat.com>
- add %post to twiddle readport of old /etc/isapnp.conf files

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- fixed spec file so it rebuild cleanly

* Fri Aug 07 1998 Bill Nottingham <notting@redhat.com>
- added patch to bump to 1.15a

* Tue Aug 04 1998 Bill Nottingham <notting@redhat.com>
- updated to version 1.15

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>
- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>
- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>
- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot
